View Issue Details

IDProjectCategoryView StatusLast Update
0005853Talermerchant backend API (C)public2020-06-25 23:44
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0005853: sessions should be limited in number and duration per order_id
DescriptionCurrently we keep session-based payments around in the database forever.

We should delete old sessions after a configurable duration.

Furthermore, we should limit the number of simultaneous sessions per order id.
TagsNo tags attached.

Activities

Christian Grothoff

2020-04-14 14:44

manager   ~0015647

Florian says: simply don't support multiple session IDs. When a second one is created, drop information about the first.

Christian Grothoff

2020-05-03 01:31

manager   ~0015842

The protocolv1 branch now stores one session per order.

Issue History

Date Modified Username Field Change
2019-08-26 23:32 Florian Dold New Issue
2019-08-26 23:32 Florian Dold Status new => assigned
2019-08-26 23:32 Florian Dold Assigned To => Marcello Stanisci
2019-09-04 15:35 Florian Dold Summary sessions should be limited in amount and duration per order_id => sessions should be limited in number and duration per order_id
2020-04-11 19:00 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2020-04-13 02:41 Christian Grothoff Product Version => git (master)
2020-04-13 02:41 Christian Grothoff Target Version => 0.7.1
2020-04-13 21:38 Christian Grothoff Target Version 0.7.1 => 0.9
2020-04-14 14:44 Christian Grothoff Note Added: 0015647
2020-05-03 01:31 Christian Grothoff Status assigned => resolved
2020-05-03 01:31 Christian Grothoff Resolution open => fixed
2020-05-03 01:31 Christian Grothoff Fixed in Version => 0.8
2020-05-03 01:31 Christian Grothoff Note Added: 0015842
2020-06-25 23:44 Christian Grothoff Target Version 0.9 => 0.8